Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.heuristic.selector.entity.decorator
Class DecreasingDifficultyEntitySelector

    java.lang.Object
      org.drools.planner.core.heuristic.selector.AbstractSelector
          org.drools.planner.core.heuristic.selector.entity.AbstractEntitySelector
              org.drools.planner.core.heuristic.selector.entity.decorator.AbstractCachingEntitySelector
                  org.drools.planner.core.heuristic.selector.entity.decorator.CachingEntitySelector
                      org.drools.planner.core.heuristic.selector.entity.decorator.DecreasingDifficultyEntitySelector

All Implemented Interfaces:
  Iterable<Object>, EventListener, ListIterable<Object>, SelectionCacheLifecycleListener, EntitySelector, Selector, SolverPhaseLifecycleListener, SolverLifecycleListener

Deprecated.

    @Deprecated
    public class DecreasingDifficultyEntitySelector

extends CachingEntitySelector

Field Summary
`protected PlanningEntitySorter` | `planningEntitySorter` Deprecated.

Fields inherited from class org.drools.planner.core.heuristic.selector.entity.decorator.CachingEntitySelector
`randomSelection`

Fields inherited from class org.drools.planner.core.heuristic.selector.entity.decorator.AbstractCachingEntitySelector
`cachedEntityList, cacheType, childEntitySelector`

Fields inherited from class org.drools.planner.core.heuristic.selector.AbstractSelector
`logger, solverPhaseLifecycleSupport, workingRandom`

Constructor Summary
`DecreasingDifficultyEntitySelector(EntitySelector childEntitySelector, SelectionCacheType cacheType, PlanningEntitySorter planningEntitySorter)` Deprecated.

Method Summary
`void` | `constructCache(DefaultSolverScope solverScope)` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class org.drools.planner.core.heuristic.selector.entity.decorator.CachingEntitySelector
`isNeverEnding, iterator, listIterator, listIterator`

Methods inherited from class org.drools.planner.core.heuristic.selector.entity.decorator.AbstractCachingEntitySelector
`disposeCache, getChildEntitySelector, getEntityDescriptor, getSize, isContinuous`

Methods inherited from class org.drools.planner.core.heuristic.selector.AbstractSelector
`phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.drools.planner.core.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### planningEntitySorter

    protected final PlanningEntitySorter planningEntitySorter

  Deprecated.

Constructor Detail

### DecreasingDifficultyEntitySelector

    public DecreasingDifficultyEntitySelector(EntitySelector childEntitySelector,
                                              SelectionCacheType cacheType,
                                              PlanningEntitySorter planningEntitySorter)

  Deprecated.

Method Detail

### constructCache

    public void constructCache(DefaultSolverScope solverScope)

  Deprecated.
  Specified by:
    `constructCache` in interface `SelectionCacheLifecycleListener`
  Overrides:
    `constructCache` in class `AbstractCachingEntitySelector`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `CachingEntitySelector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.